MINOVA DEMO - Feature #2210

[Logistic & Service] Pembuatan Fitur Copy untuk Doc Reference
06/06/2023 02:17 PM - Mega Yunita

Status: Assigned Start date: 06/06/2023
Priority: Normal Due date: 06/19/2023
Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

Mohon bantuannya untuk membuatkan fitur baru, yaitu fitur Copy untuk menyalin Doc Reference yang sudah ada, dengan ketentuan
1. Template sama dengan doc reference yang sudah ada

2. Field dan isian sama persis (default), kecuali tanggal, dibuat today atau now.

3. Doc No dibuat baru, tidak mengikuti nomor doc reference yang dicopy atau disalin.

Itu yang dapat saya sampaikan, Mbak Yaya mohon untuk dikoreksi jika ada yang salah dan mohon ditambahkan untuk lebih
detailnya..

Terimaksih
link ; http://remote.minovais.com:61124/

DB : MinovaES_Demo
Server : remote.minovais.com, 1442\SQLSERVER2014

History

#1 - 06/06/2023 02:17 PM - Mega Yunita

- Tracker changed from Bug to Feature

#2 - 06/06/2023 02:49 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#3 - 06/06/2023 02:56 PM - Kezia Pawitra Yulianti

saya tambahkan dan koreksi sedikit yaa:

1. ini bukan fitur baru tp tambah button baru 'copy"

2. untuk field tanggal, di buat default today

3. untuk doc no sama spt create doc baru (generate ulang doc no baru) dan untuk field process id juga tidak ambil dr process id yg sudah ada dr doc
reference yg dipilih untuk copy melainkan generate process id baru

4. khusus doc project dan production dimana ada detail activity/wbs id, itu semua di copy namun khusus tanggal jangan ikut di copy melainkan
dibuatkan parameter saja untuk default yg akan terisi (misalnya start date=today dan end date = +7). namun nanti saat doc terbentuk, bisa di edit
atau revisi tanggal2 tsb

Itu dl sementara ya,
Thanks
